Skip to main content
Resource Center/Network Resource/OSPF Operations
PUTOSPF OperationsSince 3.4.0SynchronousAuth Required

UpdateVRouterOspfArea

UpdateVRouterOspfArea

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updatevrouterospfareaObjectRequired

    updatevrouterospfarea request body object.

    • areaAuthString

      Optional. The area authentication mode.

    • areaTypeString

      Optional. The area type.

    • passwordString

      Optional. The password that is used for area authentication.

    • keyIdInteger

      Optional. The key ID that is used for area authentication.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryRouterAreaInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • areaIdStringRequired

      No description provided.

    • typeStringRequired

      类型。

    • authenticationStringRequired

      认证。

    • passwordStringRequired

      密码。

    • keyIdIntegerRequired

      键ID。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

PUT/zstack/v1/routerArea/{uuid}/actions

/zstack/v1/routerArea/{uuid}/actions

Operation ID

UpdateVRouterOspfArea

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/routerArea/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatevrouterospfarea":{"areaAuth":"<areaAuth>","areaType":"<areaType>","password":"<password>","keyId":1},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "b90552421b6a390fa55da5b489a53e32", "areaId": "1", "type": "Stub", "authentication": "MD5", "keyId": 128.0, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history